from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAutoscroll(XInterface, Protocol):
    def autoscroll(self, cursorLocationX: int, cursorLocationY: int) -> None: ...
    def getAutoscrollRegion(self) -> Any: ...
